#
# spec file for package azure-cli-interactive
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           azure-cli-interactive
Version:        0.3.28
Release:        lp152.3.1
Summary:        Microsoft Azure CLI Interactive Shell
License:        MIT
Group:          System/Management
Url:            https://github.com/Azure/azure-cli
Source:         https://files.pythonhosted.org/packages/source/a/azure-cli-interactive/azure-cli-interactive-%{version}.tar.gz
Source1:        LICENSE.txt
Patch1:         aci_drop-compatible-releases-operator.patch
BuildRequires:  azure-cli-command-modules-nspkg
BuildRequires:  azure-cli-nspkg
BuildRequires:  python3-azure-nspkg
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  unzip
Requires:       azure-cli-command-modules-nspkg
Requires:       azure-cli-core
Requires:       azure-cli-nspkg
#Requires:       python3-PyYAML < 4.0.0
Requires:       python3-PyYAML >= 3.13
Requires:       python3-applicationinsights < 1.0.0
Requires:       python3-applicationinsights >= 0.11.4
Requires:       python3-azure-nspkg
Requires:       python3-jmespath < 1.0.0
Requires:       python3-jmespath >= 0.9.3
Requires:       python3-six < 2.0.0
Requires:       python3-six >= 1.11.0
Conflicts:      azure-cli < 2.0.0

BuildArch:      noarch

%description
Microsoft Azure CLI Interactive Shell

This package is for the 'shell' module.
i.e. 'az shell'

%prep
%setup -q -n azure-cli-interactive-%{version}
%patch1 -p1

%build
install -m 644 %{SOURCE1} %{_builddir}/azure-cli-interactive-%{version}
python3 setup.py build

%install
python3 setup.py install --root=%{buildroot} --prefix=%{_prefix} --install-lib=%{python3_sitelib}
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/command_modules/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/command_modules/__pycache__
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/cli/__pycache__
rm -rf %{buildroot}%{python3_sitelib}/azure/__init__.*
rm -rf %{buildroot}%{python3_sitelib}/azure/__pycache__

%files
%defattr(-,root,root,-)
%doc HISTORY.rst README.rst
%license LICENSE.txt
%{python3_sitelib}/azure/cli/command_modules/interactive
%{python3_sitelib}/azure_cli_interactive-*.egg-info

%changelog
* Wed Jan 29 2020 Marcus Meissner <meissner@suse.com>
- rmeove weird upper boundary on python-PyYAML
* Mon Sep 17 2018 John Paul Adrian Glaubitz <adrian.glaubitz@suse.com>
- New upstream release
  + Version 0.3.28
  + For detailed information about changes see the
    HISTORY.txt file provided with this package
- Add patch to drop compatible releases operator from setup.py,
  required for SLES12 as the setuptools version is too old
  + aci_drop-compatible-releases-operator.patch
- Update Requires from setup.py
* Wed Apr 18 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.3.19
- Move LICENSE.txt from %%doc to %%license section
- Remove %%{python3_sitelib}/azclishell from %%files as it
  has been moved to %%{python3_sitelib}/interactive/
* Thu Feb  8 2018 adrian.glaubitz@suse.com
- New upstream release
  + Version 0.3.15
  + For detailed information about changes see the
    HISTORY.rst file provided with this package
- Install HISTORY.rst into doc directory
* Mon Sep 25 2017 adrian.glaubitz@suse.com
- Initial build
  + Version 0.3.10
